<?php
session_start();
require('../fpdf/fpdf.php');
require('plantilla_general.php');
require '../../../conexion.php';
require_once('../../../include/sesiones.php');
$desde=$_GET['fecha_desde'];
$horadesde=$_GET['hora_desde'];
$hasta=$_GET['fecha_hasta'];
$horahasta=$_GET['hora_hasta'];

$vendedores=$_GET['vendedores'];
$sucursal_form=$_GET['sucursal_form'];

$total=0;
$query_str="SELECT * FROM ventas WHERE TIMESTAMP(ven_fecha,ven_hora) between TIMESTAMP('$desde','$horadesde') and TIMESTAMP('$hasta','$horahasta') AND sucursal='$sucursal_form' AND empresa='$empresa' AND ven_estado<>'anulada' and vendedor IN('".$vendedores."')";

if ($facturador=='si') {
    $ven_tipo=$_GET['ven_tipo7'];;
    $query_str.=" AND ven_tipo IN ('$ven_tipo')";
}

$query_str.=" ORDER BY ven_id DESC";
$query=mysqli_query($con, $query_str); 

$pdf=new PDF_MC_Table();
$pdf->AddPage();
$pdf->SetFont('Arial','',14);
$pdf->AliasNbPages();
$pdf->Cell(0,10,'VENTAS DESDE '.$desde. ' HASTA ' .$hasta,0,1);
$pdf->SetFont('Arial','',7);
    
while ($roww=mysqli_fetch_array($query))    
{
    $Cliente_clie_id=$roww['Cliente_clie_id'];
    $dir=mysqli_query($con,"SELECT * FROM cliente where clie_id='$Cliente_clie_id'") or die(mysqli_error($con)); 
    $dire=mysqli_fetch_array($dir);
    $clie_direccion=$dire['clie_direccion'];

    $pdf->SetFillColor(215,235,2415);
    $pdf->SetFont('Arial','B',8);
    $pdf->Cell(25,4,'# '.$roww['ven_prefijo'].$roww['ven_n_venta'],1,0,'C',1);
    $pdf->Cell(140,4,$roww['ven_cc']. ' - ' .utf8_decode($roww['ven_nombre']) ,1,0,'C',1);
    $pdf->Cell(25,4,$roww['ven_fecha'],1,0,'C',1);
    $pdf->Ln();
    $pdf->Cell(190,4,$clie_direccion,1,0,'C',1);
    $pdf->Ln();

    $pdf->SetFillColor(235,225,215);
    $pdf->SetFont('Arial','B',8);
    $pdf->Cell(20,4,'REF',1,0,'C',1);
    $pdf->Cell(90,4,'NOMBRE',1,0,'C',1);
    $pdf->Cell(15,4,'CANT',1,0,'C',1);
    $pdf->Cell(25,4,'VALOR',1,0,'C',1);
    $pdf->Cell(15,4,'DESC %',1,0,'C',1);
    $pdf->Cell(25,4,'TOTAL',1,0,'C',1);
    $pdf->Ln();    

    $ven_id=$roww['ven_id'];
    $ven_id=$roww['ven_id'];
    $desc=0;
    $sumador_articulos=0;
    $sql=mysqli_query($con, "SELECT * from venta_detalle where ventas_ven_id='$ven_id'");
    while ($row=mysqli_fetch_array($sql))
    {
        $vend_referencia=$row['vend_referencia'];
        $vend_nombre=$row['vend_nombre'];
        $vend_cantidad=$row['vend_cantidad'];
        $vend_precio=$row['vend_precio'];
        $vend_iva=$row['vend_iva'];
        $vend_descuento=$row['vend_desc'];
        $ivaf=$vend_iva/100;
        $precio_total=$vend_precio*$vend_cantidad;
        $descuento=($vend_descuento/100)*$precio_total;
        $iva=$vend_precio*$ivaf;
        $sin_iva=$vend_precio-$iva;
        $sumador_articulos+=$precio_total-$descuento;//Sumador
        $desc+=$descuento;

        $pdf->SetWidths(array(20,90,15,25,15,25));
        srand(time()*1000000);
        $pdf->Row(array($vend_referencia,utf8_decode($vend_nombre),$vend_cantidad,number_format($vend_precio,0),$vend_descuento,number_format($precio_total,0)));
    }

    $sumador_combos=0;
    $sql=mysqli_query($con, "SELECT * from venta_detalle_combo where ven_id='$ven_id'");
    while ($row1=mysqli_fetch_array($sql))
    {
        $combo_referencia=$row1["combo_referencia"];
        $combo_nombre=$row1['combo_nombre'];       
        $combo_cantidad=$row1["combo_cantidad"];
        $combo_precio=$row1['combo_precio'];
        $combo_iva=$row1['combo_iva'];
        $combo_desc=$row1['combo_desc']; 

        $combo_descuento=($combo_desc/100)*$combo_precio;
        $combo_precio_real=$combo_precio-$combo_descuento;//Sumador
        $combo_precio_total=$combo_precio_real*$combo_cantidad;
        $sumador_combos+=$combo_precio_total;

        $pdf->SetWidths(array(20,90,15,25,15,25));
        srand(time()*1000000);
        $pdf->Row(array($combo_referencia,utf8_decode($combo_nombre),$combo_cantidad,number_format($combo_precio,0),$combo_desc,number_format($combo_precio_total,0)));
    }

    $total+=$sumador_articulos+$sumador_combos;

    $pdf->SetFillColor(135,245,115);
    $pdf->SetFont('Arial','B',8);
    $pdf->Cell(150,4,'',1,0,'C',1);
    $pdf->Cell(15,4,'TOTAL',1,0,'C',1);
    $pdf->Cell(25,4,number_format($sumador_articulos+$sumador_combos,0),1,0,'R',1);
    $pdf->Ln();

    $pdf->SetFillColor(255,255,255);
    $pdf->SetFont('Arial','B',8);
    $pdf->Cell(190,4,'',1,0,'C',1);
    $pdf->Ln(); 
}

$pdf->SetFillColor(239,215,025);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(150,4,'',1,0,'C',1);
$pdf->Cell(15,4,'TOTAL',1,0,'C',1);
$pdf->Cell(25,4,number_format($total,0),1,0,'R',1);
$pdf->Ln();
$pdf->Output();
?>